=== debian/changelog ===
td-build-tools (0.1.4-1ubuntu1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 26 Nov 2025 13:57:53 +0100

td-build-tools (0.1.3-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 21 Sep 2025 18:06:41 +0200

td-build-tools (0.1.2-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 09 Jul 2025 11:44:03 +0200

td-build-tools (0.1.1-1ubuntu1) trixie; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Tue, 01 Apr 2025 12:35:06 +0200

td-build-tools (0.1.0-1ubuntu1) trixie; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.1.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Thu, 27 Feb 2025 12:51:44 +0100

td-build-tools (0.0.0-1ubuntu1) trixie; urgency=medium

  * New upstream release.
  * Closes: #xxxxxx (ITP).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 13 Dec 2024 21:34:18 +0100
